Summary: 	Partition Image
Name: 		partimage
Version: 	0.6.9
Release: 	%mkrel 4
URL: 		http://www.partimage.org/
License: 	GPL
Group: 		Archiving/Backup
Source: 	%{name}-%{version}.tar.bz2
Source1:	partimage.1
Source2:	partimaged.8
Source3:	partimagedusers.5
Source4:	partimaged-sysconfig
Source5:	partimaged-init.d
Patch3: 	partimage-0.6.7-ssl-certs-policy.patch
Patch12:	partimage-0.6.8-lzma.patch
Patch13:	partimage-0.6.7-splash.patch
Patch14:	partimage-0.6.9-fedora-gzfile.patch
Patch15:	partimage-0.6.9-automake-1.13.patch
BuildRequires:	automake1.8
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	liblzmadec-devel
BuildRequires:	newt-devel
BuildRequires:	openssl
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	rpm-helper >= 0.21
Requires:	openssl > 0.9.6
Requires(post): rpm-helper >= 0.21

%description
Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the following file system formats to an image file:
- Ext2FS & Ext3FS (the linux standard),
- FAT16/32 (DOS & Windows file systems),
- HFS (MacOS File System),
- JFS (Journalised File System, from IBM, used on Aix),
- NTFS (Windows NT File System),
- HPFS (IBM OS/2 File System),
- ReiserFS (a journalized and powerful file system),
- UFS (Unix File System),
- XFS (another jounalized and efficient File System, from SGI, used on Irix),

Only used blocks are copied. The image file can be 
compressed in the GZIP/BZIP2 formats to save disk space, and splitted 
into multiple files to be copied on amovibles floppies (ZIP for example),
or burned on a CD-R ...

This allows to save a full Linux/Windows system, with an only 
operation. When problems (viruses, crash, error, ...), you just have to 
restore, and after several minutes, all your system is restored (boot, 
files, ...), and fully working.

This is very useful when installing the same software on many 
machines: just install one of them, creat|e an image, and just restore 
the image on all other machines. Then, after the first one, each 
installation is automatically made, and only require a few minutes.

%prep
%setup -q
%patch3 -p1
%patch12 -p1 -b .lzma
%patch13 -p1 -b .splash
%patch14 -p1 -b .gzfile
%patch15 -p0 

for i in %{_datadir}/automake-1.*/mkinstalldirs; do cp -f $i .; done

%build
cp %{_datadir}/gettext/config.rpath .
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_infodir}/*

install -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/partimage.1
install -m644 %{SOURCE2} -D %{buildroot}%{_mandir}/man8/partimaged.8
install -m644 %{SOURCE3} -D %{buildroot}%{_mandir}/man5/partimagedusers.5
install -m644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/partimaged
install -m755 %{SOURCE5} -D %{buildroot}%{_initrddir}/partimaged

cat > README.mga <<EOF
Mageia RPM specific notes

setup
-----
In order to comply with Mageia SSL certificates policy, partimage binary has
been modified to use the following files:
- /etc/pki/tls/certs/partimage.pem instead of default
  /etc/partimaged/partimaged.cert
- /etc/pki/tls/private/partimage.pem instead of default
  /etc/partimaged/partimaged.key
EOF

%find_lang %{name}

%pre
/usr/sbin/groupadd -r -f partimag > /dev/null 2>&1 ||:
/usr/sbin/useradd -g partimag -d /home/partimag -r -s /bin/bash partimag > /dev/null 2>&1 ||:

%post
dir=/var/lib/partimage
if [ ! -d $dir ]; then 
    mkdir -p $dir/{dev,etc,%_lib,var/log}
    cp -a /dev/{null,tty} $dir/dev
    cp /%_lib/{libnss_compat.so.2,libnss_files.so.2} $dir/%_lib
    grep partimag /etc/passwd > $dir/etc/passwd
    grep partimag /etc/group > $dir/etc/group
    install -d -o partimag $dir/data
fi
# now all you have to do is run partimaged -D --chroot /var/lib/partimage
%_post_service partimaged
%_create_ssl_certificate partimage -g partimag

%preun
%_preun_service partimaged

%files -f %{name}.lang
%doc BUGS AUTHORS ABOUT-NLS COPYING ChangeLog
%doc FORMAT README README.partimaged README.mga THANKS 
%{_sbindir}/*
%{_sysconfdir}/sysconfig/partimaged
%{_initrddir}/partimaged
%attr(0600,partimag,partimag) %config(noreplace) %{_sysconfdir}/partimaged/partimagedusers
%{_mandir}/man1/partimage.1*
%{_mandir}/man5/partimagedusers.5*
%{_mandir}/man8/partimaged.8*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.9-4.mga3
+ Revision: 362432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 zezinho <zezinho> 0.6.9-3.mga3
+ Revision: 344158
- add patch for automake-1.13

* Wed Jan 09 2013 zezinho <zezinho> 0.6.9-2.mga3
+ Revision: 344139
- patch from fedora to fix build against zlib >= 1.2.6

* Sat Apr 16 2011 pterjan <pterjan> 0.6.9-1.mga1
+ Revision: 86567
- Update to 0.6.9

* Thu Feb 24 2011 ennael <ennael> 0.6.8-4.mga1
+ Revision: 58812
- clean spec
- imported package partimage

